package com.luojigou.xiaodou.ble

import android.util.Log

object XDBLEUtils {
    fun parseConnectResponse(data: ByteArray) {
        Log.d("XDBLEUtils", "parseConnectResponse: ${data.decodeToString()}")
    }

    fun convertToConnectRequest(ssid: String, password: String): ByteArray {
        val stringBuffer = StringBuffer()

        stringBuffer.append(Char(0x7E))
        stringBuffer.append(Char(0x01))
        stringBuffer.append(Char(ssid.length))
        ssid.toCharArray().forEach {
            stringBuffer.append(it)
        }
        stringBuffer.append(Char(password.length))
        password.toCharArray().forEach {
            stringBuffer.append(it)
        }
        stringBuffer.append(Char(0xFF))
        val byteArray = stringBuffer.toString().toByteArray()
        return byteArray
    }
}