package com.luojigou.xiaodou.wifi

import android.net.wifi.WifiManager

sealed class XDScanWifiStatus {
    object Disabled : XDScanWifiStatus()
    object Permission : XDScanWifiStatus()
    object NotSupported : XDScanWifiStatus()
    object Normal : XDScanWifiStatus()

    interface Host {
        fun onStatusChanged(status: XDScanWifiStatus)

        fun getWifiManager(): WifiManager
    }
}